Subject: Re: non network install
From: B Thomas <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Tue, 10 Jun 2003 10:41:15 -0500

Hi,
Thank you for responding.

But it doesn't seem like I have some thing missing  , here is the listing 
of my top level CD-ROM directory :

directory -
total 1116
-r--r--r--    1 bt       bt           2600 Jun 10 08:00 INSTALL.TXT
-r--r--r--    1 bt       bt           4141 Apr 18  2002 README.TXT
-r--r--r--    1 bt       bt         393740 Jun  9 19:38 cygwin.pdf
dr-xr-xr-x    5 bt       bt           4096 Jun 10 05:50 mail-archives
dr-xr-xr-x   17 bt       bt           4096 Jun 10 04:55 math
-r--r--r--    1 bt       bt            225 Jun 10 06:47 md5.sum
dr-xr-xr-x    2 bt       bt           4096 Jun  5  2002 private
dr-xr-xr-x  174 bt       bt           4096 Jun 10 06:47 release
-r--r--r--    1 bt       bt          48079 Jun  9 22:07 setup.bz2
-r--r--r--    1 bt       bt         259072 Jun 10 06:35 setup.exe
-r--r--r--    1 bt       bt         183808 Jun  9 22:07 setup.exe.old
-r--r--r--    1 bt       bt         186186 Jun  9 22:07 setup.ini
dr-xr-xr-x    2 bt       bt           4096 Jun 10 03:03 tmp
dr-xr-xr-x    2 bt       bt           4096 Jun 10 09:41 utils
dr-xr-xr-x    3 bt       bt           4096 Jun 10 04:58 xfree

As you can see it is all there and was downloaded just yesterday. Infact
I compared the setup.exe and setup.ini on both the CD and the hard
drive. Both are identical byte by byte. Yet they behave differently or I
must be hallucinating :-). Note the CD rom very closely mirrors the 
ftp archive. I am trying to find my way through setup's source code but
with my busy schedule this is going to take a long long time, so I am 
really hoping some one would answer this. 

And yes I installed not only libintl2 but the other versions of libintl
also . Infact in trying to solve this problem I tried to install all the
packages except :

apache
ccache
curl
doxygen
dpkg
emacs
enscript
exim
fortune
gcc2
ghostscript
gnugo
guile 
libxml2
libxslt
lilypond
mutt
nano
perl
pine
postgresql
proftpd
python
ruby
splint
squid
swig
tetex
texmf
xerces-c
xfree

I will gladly put the CD ISO image on an anonymous ftp site should
anyone be interested in having a look at it. 

regards
B Thomas

On Tue, Jun 10, 2003 at 03:16:45PM +0100, Max Bowsher wrote:
> B Thomas wrote:
> > Hi,
> > I would be gratefull if you could help with the following problem:
> >
> > I am trying to make a CD so that cywin  binary/source can be installed
> > from this CD. The reason being I only have a linux computer my friend
> > only has a Windows XP. I have a fast internet connection , he has none.
> > we finally did get his computer hooked up to my network and installed.
> > However I would like to know how to do this still
> >
> > So I mirrored a cygwin ftp archive and burned them onto a CD. However when
> > I try to install  from the CD I get the following two errors many, many
> > times when the post-install scripts are running.
> >
> > 1) sed.exe : "The procedure entry point libintl_gettext could not be
> located in
> > the dynamic link library cygintl-2.dll" .
> >
> > 2) basename.exe : "The procedure entry point libintl_bindtextdomain
> > could not be located in the dynamic link library cygintl-2.dll"
> >
> > Apparently as a result of these errors almost nothing works not even -
> > ls, man , info ... etc.
> >
> > Since we have been trying to install almost the entire distro it is not
> > possible that some thing is missing. If i am correct this particular
> > library is provided by the gettext package which is being installed too.
> >
> >
> > I also noticed oddly that setup.exe classifies packages into categories
> > when I ran it on his computer , and did a network install but it lists
> > all packages in one category "misc" when we tried to install from the CD
> > i made. ????
> 
> You've missed the setup.ini file, which contains all the category and
> dependency information.
> 
> Obviously you haven't installed the entire distribution, because
> cygintl-2.dll is in the libintl2 package.
> 
> 
> 
> 
> Max.
> 
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/